Crawl by ID
curl --request GET \
--url https://sdk.nimbleway.com/v1/crawl/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sdk.nimbleway.com/v1/crawl/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sdk.nimbleway.com/v1/crawl/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"crawl_id": "85b21e98-69c5-4aa5-9d25-261a55bbf0db",
"name": "my-crawler-1",
"account_name": "account_name",
"status": "succeeded",
"completed_at": "2026-02-11T13:57:27.549Z",
"created_at": "2026-02-11T13:55:45.512Z",
"updated_at": "2026-02-11T13:57:27.555Z",
"pending": 0,
"completed": 3,
"failed": 1,
"total": 4,
"tasks": [
{
"task_id": "8d2bb2fc-e469-4549-b5d8-0d307352aeb5",
"status": "completed",
"created_at": "2026-02-11T13:55:45.846Z",
"updated_at": "2026-02-11T13:55:52.138Z"
},
{
"task_id": "f1fc1a7d-588b-4c9c-b6f3-00a00b6796ce",
"status": "completed",
"created_at": "2026-02-11T13:55:52.115Z",
"updated_at": "2026-02-11T13:55:53.335Z"
},
{
"task_id": "79389a76-7c7f-4d6d-9041-c13ff83dc265",
"status": "completed",
"created_at": "2026-02-11T13:55:52.115Z",
"updated_at": "2026-02-11T13:55:53.858Z"
},
{
"task_id": "7f10be27-a526-4cbb-8330-53c7871e7572",
"status": "failed",
"created_at": "2026-02-11T13:55:46.075Z",
"updated_at": "2026-02-11T13:57:27.534Z"
}
]
}{
"status": "failed",
"msg": "Invalid request parameters",
"error": "PARAMETERS_FAILED_JSON_SCHEMA_VALIDATION_ERROR",
"details": {
"schema_validation_errors": [
{
"instancePath": "",
"schemaPath": "#/required",
"keyword": "required",
"params": {
"missingProperty": "search_engine"
},
"message": "must have required property 'search_engine'"
}
]
}
}{
"status": "failed",
"msg": "trial expired"
}{
"status": "failed",
"error": "Crawl not found"
}{
"status": "failed",
"msg": "Rate limit exceeded"
}{
"success": "false",
"task_id": "1ed1dbeb-8f34-4fd1-bb2d-a72bacae2ef3",
"message": "can't download the query response - please try again"
}Crawl by ID
GET
/
v1
/
crawl
/
{id}
Crawl by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the crawl task
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successful Response
Status of the crawl task
Example:
"succeeded"
Unique identifier for the crawl task
Example:
"123e4567-e89b-12d3-a456-426614174000"
Name of the crawl task
Total number of pages to crawl
Example:
10
Number of pages completed
Example:
2
Timestamp when crawl was created
Timestamp when crawl was completed
Array of individual page crawl tasks
Show child attributes
Show child attributes
The user's account name
Number of pages failed
Example:
2
Number of pages pending
Example:
2
Timestamp when crawl was updateded
Was this page helpful?
⌘I